﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Xtoman.Service.WebServices.Message.FarazSMS {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="urn:smsserver", ConfigurationName="WebServices.Message.FarazSMS.smsserverPortType")]
    public interface smsserverPortType {
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message SendSMSRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="SendSMS", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.SendSMSResponse SendSMS(Xtoman.Service.WebServices.Message.FarazSMS.SendSMSRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="SendSMS", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.SendSMSResponse> SendSMSAsync(Xtoman.Service.WebServices.Message.FarazSMS.SendSMSRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message SendSMSV2Request does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="SendSMSV2", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Response SendSMSV2(Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Request request);
        
        [System.ServiceModel.OperationContractAttribute(Action="SendSMSV2", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Response> SendSMSV2Async(Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Request request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message GetCreditRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="GetCredit", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetCreditResponse GetCredit(Xtoman.Service.WebServices.Message.FarazSMS.GetCreditRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="GetCredit", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetCreditResponse> GetCreditAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetCreditRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message GetStatusRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="GetStatus", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetStatusResponse GetStatus(Xtoman.Service.WebServices.Message.FarazSMS.GetStatusRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="GetStatus", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetStatusResponse> GetStatusAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetStatusRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message deleteperiodRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="deleteperiod", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodResponse deleteperiod(Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="deleteperiod", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodResponse> deleteperiodAsync(Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message sendvoiceRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="sendvoice", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceResponse sendvoice(Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="sendvoice", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceResponse> sendvoiceAsync(Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message GetLinesRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="GetLines", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetLinesResponse GetLines(Xtoman.Service.WebServices.Message.FarazSMS.GetLinesRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="GetLines", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetLinesResponse> GetLinesAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetLinesRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message inboxlistRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="inboxlist", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.inboxlistResponse inboxlist(Xtoman.Service.WebServices.Message.FarazSMS.inboxlistRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="inboxlist", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.inboxlistResponse> inboxlistAsync(Xtoman.Service.WebServices.Message.FarazSMS.inboxlistRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message GetDeliveryRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="GetDelivery", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryResponse GetDelivery(Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="GetDelivery", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryResponse> GetDeliveryAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message GetUsertimeRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="GetUsertime", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeResponse GetUsertime(Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="GetUsertime", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeResponse> GetUsertimeAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message CheckMessageRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="CheckMessage", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageResponse CheckMessage(Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="CheckMessage", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageResponse> CheckMessageAsync(Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message GetTicketListRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="GetTicketList", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListResponse GetTicketList(Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="GetTicketList", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListResponse> GetTicketListAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message GetTicketDetailRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="GetTicketDetail", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailResponse GetTicketDetail(Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="GetTicketDetail", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailResponse> GetTicketDetailAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message AddTicketRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="AddTicket", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.AddTicketResponse AddTicket(Xtoman.Service.WebServices.Message.FarazSMS.AddTicketRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="AddTicket", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.AddTicketResponse> AddTicketAsync(Xtoman.Service.WebServices.Message.FarazSMS.AddTicketRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message AnswerTicketRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="AnswerTicket", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketResponse AnswerTicket(Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="AnswerTicket", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketResponse> AnswerTicketAsync(Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message SendQuickSMSRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="SendQuickSMS", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSResponse SendQuickSMS(Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="SendQuickSMS", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSResponse> SendQuickSMSAsync(Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSRequest request);
        
        // CODEGEN: Generating message contract since the wrapper namespace (192.168.32.208) of message sendPatternSmsRequest does not match the default value (urn:smsserver)
        [System.ServiceModel.OperationContractAttribute(Action="sendPatternSms", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc, SupportFaults=true, Use=System.ServiceModel.OperationFormatUse.Encoded)]
        Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsResponse sendPatternSms(Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="sendPatternSms", ReplyAction="*")]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsResponse> sendPatternSmsAsync(Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="SendSMS", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class SendSMSRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string fromNum;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string toNum;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=2)]
        public string messageContent;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=3)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=4)]
        public string pass;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=5)]
        public string time;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=6)]
        public string op;
        
        public SendSMSRequest() {
        }
        
        public SendSMSRequest(string fromNum, string toNum, string messageContent, string user, string pass, string time, string op) {
            this.fromNum = fromNum;
            this.toNum = toNum;
            this.messageContent = messageContent;
            this.user = user;
            this.pass = pass;
            this.time = time;
            this.op = op;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="SendSMSResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class SendSMSResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public SendSMSResponse() {
        }
        
        public SendSMSResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="SendSMSV2", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class SendSMSV2Request {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string fromNum;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string toNum;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=2)]
        public string messageContent;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=3)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=4)]
        public string pass;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=5)]
        public string time;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=6)]
        public string op;
        
        public SendSMSV2Request() {
        }
        
        public SendSMSV2Request(string fromNum, string toNum, string messageContent, string user, string pass, string time, string op) {
            this.fromNum = fromNum;
            this.toNum = toNum;
            this.messageContent = messageContent;
            this.user = user;
            this.pass = pass;
            this.time = time;
            this.op = op;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="SendSMSV2Response", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class SendSMSV2Response {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public SendSMSV2Response() {
        }
        
        public SendSMSV2Response(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetCredit", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetCreditRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        public GetCreditRequest() {
        }
        
        public GetCreditRequest(string user, string pass) {
            this.user = user;
            this.pass = pass;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetCreditResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetCreditResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public GetCreditResponse() {
        }
        
        public GetCreditResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetStatus", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetStatusRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=2)]
        public string batchid;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=3)]
        public string[] unique_ids;
        
        public GetStatusRequest() {
        }
        
        public GetStatusRequest(string user, string pass, string batchid, string[] unique_ids) {
            this.user = user;
            this.pass = pass;
            this.batchid = batchid;
            this.unique_ids = unique_ids;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetStatusResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetStatusResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public GetStatusResponse() {
        }
        
        public GetStatusResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="deleteperiod", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class deleteperiodRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=2)]
        public string bulkid;
        
        public deleteperiodRequest() {
        }
        
        public deleteperiodRequest(string user, string pass, string bulkid) {
            this.user = user;
            this.pass = pass;
            this.bulkid = bulkid;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="deleteperiodResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class deleteperiodResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public deleteperiodResponse() {
        }
        
        public deleteperiodResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="sendvoice", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class sendvoiceRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=2)]
        public string repeat;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=3)]
        public string time;
        
        public sendvoiceRequest() {
        }
        
        public sendvoiceRequest(string user, string pass, string repeat, string time) {
            this.user = user;
            this.pass = pass;
            this.repeat = repeat;
            this.time = time;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="sendvoiceResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class sendvoiceResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public sendvoiceResponse() {
        }
        
        public sendvoiceResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetLines", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetLinesRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        public GetLinesRequest() {
        }
        
        public GetLinesRequest(string user, string pass) {
            this.user = user;
            this.pass = pass;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetLinesResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetLinesResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public GetLinesResponse() {
        }
        
        public GetLinesResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="inboxlist", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class inboxlistRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        public inboxlistRequest() {
        }
        
        public inboxlistRequest(string user, string pass) {
            this.user = user;
            this.pass = pass;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="inboxlistResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class inboxlistResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public inboxlistResponse() {
        }
        
        public inboxlistResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetDelivery", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetDeliveryRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=2)]
        public string uniqid;
        
        public GetDeliveryRequest() {
        }
        
        public GetDeliveryRequest(string user, string pass, string uniqid) {
            this.user = user;
            this.pass = pass;
            this.uniqid = uniqid;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetDeliveryResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetDeliveryResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public GetDeliveryResponse() {
        }
        
        public GetDeliveryResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetUsertime", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetUsertimeRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        public GetUsertimeRequest() {
        }
        
        public GetUsertimeRequest(string user, string pass) {
            this.user = user;
            this.pass = pass;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetUsertimeResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetUsertimeResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public GetUsertimeResponse() {
        }
        
        public GetUsertimeResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="CheckMessage", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class CheckMessageRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=2)]
        public string messageid;
        
        public CheckMessageRequest() {
        }
        
        public CheckMessageRequest(string user, string pass, string messageid) {
            this.user = user;
            this.pass = pass;
            this.messageid = messageid;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="CheckMessageResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class CheckMessageResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public CheckMessageResponse() {
        }
        
        public CheckMessageResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetTicketList", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetTicketListRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        public GetTicketListRequest() {
        }
        
        public GetTicketListRequest(string user, string pass) {
            this.user = user;
            this.pass = pass;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetTicketListResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetTicketListResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public GetTicketListResponse() {
        }
        
        public GetTicketListResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetTicketDetail", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetTicketDetailRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=2)]
        public string ticket_id;
        
        public GetTicketDetailRequest() {
        }
        
        public GetTicketDetailRequest(string user, string pass, string ticket_id) {
            this.user = user;
            this.pass = pass;
            this.ticket_id = ticket_id;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetTicketDetailResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class GetTicketDetailResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public GetTicketDetailResponse() {
        }
        
        public GetTicketDetailResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AddTicket", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class AddTicketRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=2)]
        public string subject;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=3)]
        public string description;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=4)]
        public string type;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=5)]
        public string importance;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=6)]
        public string sms_notification;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=7)]
        public string file;
        
        public AddTicketRequest() {
        }
        
        public AddTicketRequest(string user, string pass, string subject, string description, string type, string importance, string sms_notification, string file) {
            this.user = user;
            this.pass = pass;
            this.subject = subject;
            this.description = description;
            this.type = type;
            this.importance = importance;
            this.sms_notification = sms_notification;
            this.file = file;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AddTicketResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class AddTicketResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public AddTicketResponse() {
        }
        
        public AddTicketResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AnswerTicket", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class AnswerTicketRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string pass;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=2)]
        public string ticket_id;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=3)]
        public string description;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=4)]
        public string file;
        
        public AnswerTicketRequest() {
        }
        
        public AnswerTicketRequest(string user, string pass, string ticket_id, string description, string file) {
            this.user = user;
            this.pass = pass;
            this.ticket_id = ticket_id;
            this.description = description;
            this.file = file;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AnswerTicketResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class AnswerTicketResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public AnswerTicketResponse() {
        }
        
        public AnswerTicketResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="SendQuickSMS", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class SendQuickSMSRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string fromNum;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string toNum;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=2)]
        public string messageContent;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=3)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=4)]
        public string pass;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=5)]
        public string time;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=6)]
        public string op;
        
        public SendQuickSMSRequest() {
        }
        
        public SendQuickSMSRequest(string fromNum, string toNum, string messageContent, string user, string pass, string time, string op) {
            this.fromNum = fromNum;
            this.toNum = toNum;
            this.messageContent = messageContent;
            this.user = user;
            this.pass = pass;
            this.time = time;
            this.op = op;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="SendQuickSMSResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class SendQuickSMSResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public SendQuickSMSResponse() {
        }
        
        public SendQuickSMSResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="sendPatternSms", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class sendPatternSmsRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string fromNum;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=1)]
        public string[] toNum;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=2)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=3)]
        public string pass;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=4)]
        public string pattern_code;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=5)]
        public string[] input_data;
        
        public sendPatternSmsRequest() {
        }
        
        public sendPatternSmsRequest(string fromNum, string[] toNum, string user, string pass, string pattern_code, string[] input_data) {
            this.fromNum = fromNum;
            this.toNum = toNum;
            this.user = user;
            this.pass = pass;
            this.pattern_code = pattern_code;
            this.input_data = input_data;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="sendPatternSmsResponse", WrapperNamespace="192.168.32.208", IsWrapped=true)]
    public partial class sendPatternSmsResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public string @return;
        
        public sendPatternSmsResponse() {
        }
        
        public sendPatternSmsResponse(string @return) {
            this.@return = @return;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface smsserverPortTypeChannel : Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class smsserverPortTypeClient : System.ServiceModel.ClientBase<Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType>, Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType {
        
        public smsserverPortTypeClient() {
        }
        
        public smsserverPortTypeClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public smsserverPortTypeClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public smsserverPortTypeClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public smsserverPortTypeClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.SendSMSResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.SendSMS(Xtoman.Service.WebServices.Message.FarazSMS.SendSMSRequest request) {
            return base.Channel.SendSMS(request);
        }
        
        public string SendSMS(string fromNum, string toNum, string messageContent, string user, string pass, string time, string op) {
            Xtoman.Service.WebServices.Message.FarazSMS.SendSMSRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.SendSMSRequest();
            inValue.fromNum = fromNum;
            inValue.toNum = toNum;
            inValue.messageContent = messageContent;
            inValue.user = user;
            inValue.pass = pass;
            inValue.time = time;
            inValue.op = op;
            Xtoman.Service.WebServices.Message.FarazSMS.SendSMSResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).SendSMS(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.SendSMSResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.SendSMSAsync(Xtoman.Service.WebServices.Message.FarazSMS.SendSMSRequest request) {
            return base.Channel.SendSMSAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.SendSMSResponse> SendSMSAsync(string fromNum, string toNum, string messageContent, string user, string pass, string time, string op) {
            Xtoman.Service.WebServices.Message.FarazSMS.SendSMSRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.SendSMSRequest();
            inValue.fromNum = fromNum;
            inValue.toNum = toNum;
            inValue.messageContent = messageContent;
            inValue.user = user;
            inValue.pass = pass;
            inValue.time = time;
            inValue.op = op;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).SendSMSAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Response Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.SendSMSV2(Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Request request) {
            return base.Channel.SendSMSV2(request);
        }
        
        public string SendSMSV2(string fromNum, string toNum, string messageContent, string user, string pass, string time, string op) {
            Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Request inValue = new Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Request();
            inValue.fromNum = fromNum;
            inValue.toNum = toNum;
            inValue.messageContent = messageContent;
            inValue.user = user;
            inValue.pass = pass;
            inValue.time = time;
            inValue.op = op;
            Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Response retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).SendSMSV2(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Response> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.SendSMSV2Async(Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Request request) {
            return base.Channel.SendSMSV2Async(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Response> SendSMSV2Async(string fromNum, string toNum, string messageContent, string user, string pass, string time, string op) {
            Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Request inValue = new Xtoman.Service.WebServices.Message.FarazSMS.SendSMSV2Request();
            inValue.fromNum = fromNum;
            inValue.toNum = toNum;
            inValue.messageContent = messageContent;
            inValue.user = user;
            inValue.pass = pass;
            inValue.time = time;
            inValue.op = op;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).SendSMSV2Async(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetCreditResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetCredit(Xtoman.Service.WebServices.Message.FarazSMS.GetCreditRequest request) {
            return base.Channel.GetCredit(request);
        }
        
        public string GetCredit(string user, string pass) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetCreditRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetCreditRequest();
            inValue.user = user;
            inValue.pass = pass;
            Xtoman.Service.WebServices.Message.FarazSMS.GetCreditResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetCredit(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetCreditResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetCreditAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetCreditRequest request) {
            return base.Channel.GetCreditAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetCreditResponse> GetCreditAsync(string user, string pass) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetCreditRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetCreditRequest();
            inValue.user = user;
            inValue.pass = pass;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetCreditAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetStatusResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetStatus(Xtoman.Service.WebServices.Message.FarazSMS.GetStatusRequest request) {
            return base.Channel.GetStatus(request);
        }
        
        public string GetStatus(string user, string pass, string batchid, string[] unique_ids) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetStatusRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetStatusRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.batchid = batchid;
            inValue.unique_ids = unique_ids;
            Xtoman.Service.WebServices.Message.FarazSMS.GetStatusResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetStatus(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetStatusResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetStatusAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetStatusRequest request) {
            return base.Channel.GetStatusAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetStatusResponse> GetStatusAsync(string user, string pass, string batchid, string[] unique_ids) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetStatusRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetStatusRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.batchid = batchid;
            inValue.unique_ids = unique_ids;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetStatusAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.deleteperiod(Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodRequest request) {
            return base.Channel.deleteperiod(request);
        }
        
        public string deleteperiod(string user, string pass, string bulkid) {
            Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.bulkid = bulkid;
            Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).deleteperiod(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.deleteperiodAsync(Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodRequest request) {
            return base.Channel.deleteperiodAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodResponse> deleteperiodAsync(string user, string pass, string bulkid) {
            Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.deleteperiodRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.bulkid = bulkid;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).deleteperiodAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.sendvoice(Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceRequest request) {
            return base.Channel.sendvoice(request);
        }
        
        public string sendvoice(string user, string pass, string repeat, string time) {
            Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.repeat = repeat;
            inValue.time = time;
            Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).sendvoice(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.sendvoiceAsync(Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceRequest request) {
            return base.Channel.sendvoiceAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceResponse> sendvoiceAsync(string user, string pass, string repeat, string time) {
            Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.sendvoiceRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.repeat = repeat;
            inValue.time = time;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).sendvoiceAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetLinesResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetLines(Xtoman.Service.WebServices.Message.FarazSMS.GetLinesRequest request) {
            return base.Channel.GetLines(request);
        }
        
        public string GetLines(string user, string pass) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetLinesRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetLinesRequest();
            inValue.user = user;
            inValue.pass = pass;
            Xtoman.Service.WebServices.Message.FarazSMS.GetLinesResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetLines(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetLinesResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetLinesAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetLinesRequest request) {
            return base.Channel.GetLinesAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetLinesResponse> GetLinesAsync(string user, string pass) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetLinesRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetLinesRequest();
            inValue.user = user;
            inValue.pass = pass;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetLinesAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.inboxlistResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.inboxlist(Xtoman.Service.WebServices.Message.FarazSMS.inboxlistRequest request) {
            return base.Channel.inboxlist(request);
        }
        
        public string inboxlist(string user, string pass) {
            Xtoman.Service.WebServices.Message.FarazSMS.inboxlistRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.inboxlistRequest();
            inValue.user = user;
            inValue.pass = pass;
            Xtoman.Service.WebServices.Message.FarazSMS.inboxlistResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).inboxlist(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.inboxlistResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.inboxlistAsync(Xtoman.Service.WebServices.Message.FarazSMS.inboxlistRequest request) {
            return base.Channel.inboxlistAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.inboxlistResponse> inboxlistAsync(string user, string pass) {
            Xtoman.Service.WebServices.Message.FarazSMS.inboxlistRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.inboxlistRequest();
            inValue.user = user;
            inValue.pass = pass;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).inboxlistAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetDelivery(Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryRequest request) {
            return base.Channel.GetDelivery(request);
        }
        
        public string GetDelivery(string user, string pass, string uniqid) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.uniqid = uniqid;
            Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetDelivery(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetDeliveryAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryRequest request) {
            return base.Channel.GetDeliveryAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryResponse> GetDeliveryAsync(string user, string pass, string uniqid) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetDeliveryRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.uniqid = uniqid;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetDeliveryAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetUsertime(Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeRequest request) {
            return base.Channel.GetUsertime(request);
        }
        
        public string GetUsertime(string user, string pass) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeRequest();
            inValue.user = user;
            inValue.pass = pass;
            Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetUsertime(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetUsertimeAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeRequest request) {
            return base.Channel.GetUsertimeAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeResponse> GetUsertimeAsync(string user, string pass) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetUsertimeRequest();
            inValue.user = user;
            inValue.pass = pass;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetUsertimeAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.CheckMessage(Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageRequest request) {
            return base.Channel.CheckMessage(request);
        }
        
        public string CheckMessage(string user, string pass, string messageid) {
            Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.messageid = messageid;
            Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).CheckMessage(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.CheckMessageAsync(Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageRequest request) {
            return base.Channel.CheckMessageAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageResponse> CheckMessageAsync(string user, string pass, string messageid) {
            Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.CheckMessageRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.messageid = messageid;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).CheckMessageAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetTicketList(Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListRequest request) {
            return base.Channel.GetTicketList(request);
        }
        
        public string GetTicketList(string user, string pass) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListRequest();
            inValue.user = user;
            inValue.pass = pass;
            Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetTicketList(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetTicketListAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListRequest request) {
            return base.Channel.GetTicketListAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListResponse> GetTicketListAsync(string user, string pass) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetTicketListRequest();
            inValue.user = user;
            inValue.pass = pass;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetTicketListAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetTicketDetail(Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailRequest request) {
            return base.Channel.GetTicketDetail(request);
        }
        
        public string GetTicketDetail(string user, string pass, string ticket_id) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.ticket_id = ticket_id;
            Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetTicketDetail(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.GetTicketDetailAsync(Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailRequest request) {
            return base.Channel.GetTicketDetailAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailResponse> GetTicketDetailAsync(string user, string pass, string ticket_id) {
            Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.GetTicketDetailRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.ticket_id = ticket_id;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).GetTicketDetailAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.AddTicketResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.AddTicket(Xtoman.Service.WebServices.Message.FarazSMS.AddTicketRequest request) {
            return base.Channel.AddTicket(request);
        }
        
        public string AddTicket(string user, string pass, string subject, string description, string type, string importance, string sms_notification, string file) {
            Xtoman.Service.WebServices.Message.FarazSMS.AddTicketRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.AddTicketRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.subject = subject;
            inValue.description = description;
            inValue.type = type;
            inValue.importance = importance;
            inValue.sms_notification = sms_notification;
            inValue.file = file;
            Xtoman.Service.WebServices.Message.FarazSMS.AddTicketResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).AddTicket(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.AddTicketResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.AddTicketAsync(Xtoman.Service.WebServices.Message.FarazSMS.AddTicketRequest request) {
            return base.Channel.AddTicketAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.AddTicketResponse> AddTicketAsync(string user, string pass, string subject, string description, string type, string importance, string sms_notification, string file) {
            Xtoman.Service.WebServices.Message.FarazSMS.AddTicketRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.AddTicketRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.subject = subject;
            inValue.description = description;
            inValue.type = type;
            inValue.importance = importance;
            inValue.sms_notification = sms_notification;
            inValue.file = file;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).AddTicketAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.AnswerTicket(Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketRequest request) {
            return base.Channel.AnswerTicket(request);
        }
        
        public string AnswerTicket(string user, string pass, string ticket_id, string description, string file) {
            Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.ticket_id = ticket_id;
            inValue.description = description;
            inValue.file = file;
            Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).AnswerTicket(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.AnswerTicketAsync(Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketRequest request) {
            return base.Channel.AnswerTicketAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketResponse> AnswerTicketAsync(string user, string pass, string ticket_id, string description, string file) {
            Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.AnswerTicketRequest();
            inValue.user = user;
            inValue.pass = pass;
            inValue.ticket_id = ticket_id;
            inValue.description = description;
            inValue.file = file;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).AnswerTicketAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.SendQuickSMS(Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSRequest request) {
            return base.Channel.SendQuickSMS(request);
        }
        
        public string SendQuickSMS(string fromNum, string toNum, string messageContent, string user, string pass, string time, string op) {
            Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSRequest();
            inValue.fromNum = fromNum;
            inValue.toNum = toNum;
            inValue.messageContent = messageContent;
            inValue.user = user;
            inValue.pass = pass;
            inValue.time = time;
            inValue.op = op;
            Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).SendQuickSMS(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.SendQuickSMSAsync(Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSRequest request) {
            return base.Channel.SendQuickSMSAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSResponse> SendQuickSMSAsync(string fromNum, string toNum, string messageContent, string user, string pass, string time, string op) {
            Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.SendQuickSMSRequest();
            inValue.fromNum = fromNum;
            inValue.toNum = toNum;
            inValue.messageContent = messageContent;
            inValue.user = user;
            inValue.pass = pass;
            inValue.time = time;
            inValue.op = op;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).SendQuickSMSAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsResponse Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.sendPatternSms(Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsRequest request) {
            return base.Channel.sendPatternSms(request);
        }
        
        public string sendPatternSms(string fromNum, string[] toNum, string user, string pass, string pattern_code, string[] input_data) {
            Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsRequest();
            inValue.fromNum = fromNum;
            inValue.toNum = toNum;
            inValue.user = user;
            inValue.pass = pass;
            inValue.pattern_code = pattern_code;
            inValue.input_data = input_data;
            Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsResponse retVal = ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).sendPatternSms(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsResponse> Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType.sendPatternSmsAsync(Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsRequest request) {
            return base.Channel.sendPatternSmsAsync(request);
        }
        
        public System.Threading.Tasks.Task<Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsResponse> sendPatternSmsAsync(string fromNum, string[] toNum, string user, string pass, string pattern_code, string[] input_data) {
            Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsRequest inValue = new Xtoman.Service.WebServices.Message.FarazSMS.sendPatternSmsRequest();
            inValue.fromNum = fromNum;
            inValue.toNum = toNum;
            inValue.user = user;
            inValue.pass = pass;
            inValue.pattern_code = pattern_code;
            inValue.input_data = input_data;
            return ((Xtoman.Service.WebServices.Message.FarazSMS.smsserverPortType)(this)).sendPatternSmsAsync(inValue);
        }
    }
}
